/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * LinkBaseObjコンポーネントはインスタンス生成に必要なLinkBase情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbLinkBaseObj {

    /** タクソノミーID */
    private String taxonomyId;
    /** definitionファイル名 */
    private String definitionFileName;
    /** presentationファイル名 */
    private String presentationFileName;
    /** labelファイル名 */
    private String labelFileName;
    /** calculationファイル名 */
    private String calculationFileName;
    /** referenceファイル名 */
    private String referenceFileName;

    /**
     * calculationFileNameを取得します。
     * @return calculationFileName
     */
    protected String getCalculationFileName() {
        return calculationFileName;
    }

    /**
     * calculationFileNameを設定します。
     * @param calculationFileName calculationFileName
     */
    protected void setCalculationFileName(String calculationFileName) {
        this.calculationFileName = calculationFileName;
    }

    /**
     * definitionFileNameを取得します。
     * @return definitionFileName
     */
    protected String getDefinitionFileName() {
        return definitionFileName;
    }

    /**
     * definitionFileNameを設定します。
     * @param definitionFileName definitionFileName
     */
    protected void setDefinitionFileName(String definitionFileName) {
        this.definitionFileName = definitionFileName;
    }

    /**
     * labelFileNameを取得します。
     * @return labelFileName
     */
    protected String getLabelFileName() {
        return labelFileName;
    }

    /**
     * labelFileNameを設定します。
     * @param labelFileName labelFileName
     */
    protected void setLabelFileName(String labelFileName) {
        this.labelFileName = labelFileName;
    }

    /**
     * presentationFileNameを取得します。
     * @return presentationFileName
     */
    protected String getPresentationFileName() {
        return presentationFileName;
    }

    /**
     * presentationFileNameを設定します。
     * @param presentationFileName presentationFileName
     */
    protected void setPresentationFileName(String presentationFileName) {
        this.presentationFileName = presentationFileName;
    }

    /**
     * referenceFileNameを取得します。
     * @return referenceFileName
     */
    protected String getReferenceFileName() {
        return referenceFileName;
    }

    /**
     * referenceFileNameを設定します。
     * @param referenceFileName referenceFileName
     */
    protected void setReferenceFileName(String referenceFileName) {
        this.referenceFileName = referenceFileName;
    }

    /**
     * taxonomyIdを取得します。
     * @return taxonomyId
     */
    protected String getTaxonomyId() {
        return taxonomyId;
    }

    /**
     * taxonomyIdを設定します。
     * @param taxonomyId taxonomyId
     */
    protected void setTaxonomyId(String taxonomyId) {
        this.taxonomyId = taxonomyId;
    }
}